# زيادة تخصيص الذاكرة لتجنب مشاكل Gradle Daemon و OutOfMemoryError
org.gradle.jvmargs=-Xmx4G -XX:MaxMetaspaceSize=2G -XX:+HeapDumpOnOutOfMemoryError

# تمكين دعم AndroidX وتحويل التبعيات القديمة إلى AndroidX تلقائيًا
android.useAndroidX=true
android.enableJetifier=true

# تحسينات Gradle لزيادة سرعة البناء:
# تشغيل بناء المتوازي للمشاريع (Parallel build)
org.gradle.parallel=true
# تهيئة المشاريع عند الحاجة فقط (Configure on demand)
org.gradle.configureondemand=true
# تمكين التخزين المؤقت للبناء (Build caching)
org.gradle.caching=true

# تمكين Gradle daemon مع إعدادات مُحسّنة
org.gradle.daemon=true
org.gradle.daemon.idletimeout=300000

# إعدادات Kotlin daemon
kotlin.daemon.jvm.options=-Xmx2048m
kotlin.daemon.shutdown.timeout=300000
kotlin.incremental=true
kotlin.parallel.tasks.in.project=true
